com.tibco.n2.service.adapter.component.impl

## Class DEComponentImpl

- java.lang.Object
- - com.tibco.n2.service.adapter.component.impl.DEComponentImpl

- All Implemented Interfaces:
    DEComponent

      public class DEComponentImpl
      extends java.lang.Object
      implements DEComponent

  COPYRIGHT: (C) 2007-2012 TIBCO Software Inc. All Rights Reserved.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DEComponentImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectoryService` | `getDirectoryService()` Returns the DirectoryService proxy instance.
    `EntityResolverPrivateService` | `getEntityResolverPrivateService()`
    `EntityResolverService` | `getEntityResolverService()` TODO Describe this method
    `ExporterService` | `getExporterService()` Returns a DE Exporter Service object.
    `OrgModelService` | `getOrgModelService()` Returns the OrgModelService proxy instance.
    `OrgResourceService` | `getOrgResourceService()` Returns the OrgResourceService proxy instance.
    `ResourceQueryService` | `getResourceQueryService()` Returns a DE Resource Query Service object.
    `SecurityService` | `getSecurityService()` TODO Describe this method
    `UserSettingsService` | `getUserSettingsService()` Returns a DE User Settings Service object.
    `void` | `setDirectoryService(DirectoryService aValue)` Sets the DirectoryService proxy instance.
    `void` | `setEntityResolverPrivateService(EntityResolverPrivateService entityResolverPrivateServiceProxy)`
    `void` | `setEntityResolverService(EntityResolverService aValue)` TODO Describe this method
    `void` | `setExporterService(ExporterService aValue)` TODO Describe this method
    `void` | `setOrgModelService(OrgModelService aValue)` Sets the OrgModelService proxy instance.
    `void` | `setOrgResourceService(OrgResourceService aValue)` Sets the OrgResourceService proxy instance.
    `void` | `setResourceQueryService(ResourceQueryService aValue)` TODO Describe this method
    `void` | `setSecurityService(SecurityService aValue)` TODO Describe this method
    `void` | `setUserSettingsService(UserSettingsService aValue)` TODO Describe this method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DEComponentImpl

          public DEComponentImpl()

  - ### Method Detail

    - #### getEntityResolverService

          public EntityResolverService getEntityResolverService()
                                                         throws ConfigurationException

      TODO Describe this method
      Specified by:
        `getEntityResolverService` in interface `DEComponent`
      Returns:
        Returns the entityResolverServiceProxy.
      Throws:
        `ConfigurationException`

    - #### setEntityResolverService

          public void setEntityResolverService(EntityResolverService aValue)

      TODO Describe this method
      Parameters:
        `entityResolverServiceProxy` - The entityResolverServiceProxy to set.

    - #### getSecurityService

          public SecurityService getSecurityService()
                                             throws ConfigurationException

      TODO Describe this method
      Specified by:
        `getSecurityService` in interface `DEComponent`
      Returns:
        Returns the securityServiceProxy.
      Throws:
        `ConfigurationException`

    - #### setSecurityService

          public void setSecurityService(SecurityService aValue)

      TODO Describe this method
      Parameters:
        `securityServiceProxy` - The securityServiceProxy to set.

    - #### getUserSettingsService

          public UserSettingsService getUserSettingsService()
                                                     throws ConfigurationException

      Description copied from interface: `DEComponent`
      Returns a DE User Settings Service object.
      Specified by:
        `getUserSettingsService` in interface `DEComponent`
      Throws:
        `ConfigurationException`

    - #### setUserSettingsService

          public void setUserSettingsService(UserSettingsService aValue)

      TODO Describe this method
      Parameters:
        `userSettingsServiceProxy` - The userSettingsServiceProxy to set.

    - #### setExporterService

          public void setExporterService(ExporterService aValue)

      TODO Describe this method
      Parameters:
        `exporterServiceProxy` - The exporterServiceProxy to set.

    - #### getExporterService

          public ExporterService getExporterService()
                                             throws ConfigurationException

      Description copied from interface: `DEComponent`
      Returns a DE Exporter Service object.
      Specified by:
        `getExporterService` in interface `DEComponent`
      Throws:
        `ConfigurationException`

    - #### setResourceQueryService

          public void setResourceQueryService(ResourceQueryService aValue)

      TODO Describe this method
      Parameters:
        `resourceQueryServiceProxy` - The resourceQueryServiceProxy to set.

    - #### getResourceQueryService

          public ResourceQueryService getResourceQueryService()
                                                       throws ConfigurationException

      Description copied from interface: `DEComponent`
      Returns a DE Resource Query Service object.
      Specified by:
        `getResourceQueryService` in interface `DEComponent`
      Throws:
        `ConfigurationException`

    - #### setOrgResourceService

          public void setOrgResourceService(OrgResourceService aValue)

      Sets the OrgResourceService proxy instance.
      Parameters:
        `aValue` - the orgResourceService proxy to set.

    - #### getOrgResourceService

          public OrgResourceService getOrgResourceService()
                                                   throws ConfigurationException

      Returns the OrgResourceService proxy instance.
      Specified by:
        `getOrgResourceService` in interface `DEComponent`
      Returns:
        the OrgResourceService proxy.
      Throws:
        `ConfigurationException`

    - #### setOrgModelService

          public void setOrgModelService(OrgModelService aValue)

      Sets the OrgModelService proxy instance.
      Parameters:
        `aValue` - The OrgModelService to set.

    - #### getOrgModelService

          public OrgModelService getOrgModelService()
                                             throws ConfigurationException

      Returns the OrgModelService proxy instance.
      Specified by:
        `getOrgModelService` in interface `DEComponent`
      Returns:
        the OrgModelService proxy.
      Throws:
        `ConfigurationException`

    - #### setDirectoryService

          public void setDirectoryService(DirectoryService aValue)

      Sets the DirectoryService proxy instance.
      Parameters:
        `aValue` - The DirectoryService to set.

    - #### getDirectoryService

          public DirectoryService getDirectoryService()
                                               throws ConfigurationException

      Returns the DirectoryService proxy instance.
      Specified by:
        `getDirectoryService` in interface `DEComponent`
      Returns:
        the DirectoryService proxy.
      Throws:
        `ConfigurationException`

    - #### getEntityResolverPrivateService

          public EntityResolverPrivateService getEntityResolverPrivateService()

      Specified by:
        `getEntityResolverPrivateService` in interface `DEComponent`

    - #### setEntityResolverPrivateService

          public void setEntityResolverPrivateService(EntityResolverPrivateService entityResolverPrivateServiceProxy)

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.